org.eclipse.ease.lang.unittest.definition.provider

## Class TestDefinitionEditPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.ease.lang.unittest.definition.provider.TestDefinitionEditPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class TestDefinitionEditPlugin
    extends org.eclipse.emf.common.EMFPlugin

This is the central singleton for the TestDefinition edit plugin.

### Nested Class Summary

Nested Classes
`static class` `TestDefinitionEditPlugin.Implementation` The actual implementation of the Eclipse Plugin.

### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

### Field Summary

Fields
`static TestDefinitionEditPlugin` `INSTANCE` Keep track of the singleton.

### Fields inherited from class org.eclipse.emf.common.EMFPlugin

`IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

### Constructor Summary

Constructors
Constructor and Description
`TestDefinitionEditPlugin()` Create the instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TestDefinitionEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

### Methods inherited from class org.eclipse.emf.common.EMFPlugin

`getPluginLogger, getSymbolicName, log, main`

### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString`

### Field Detail

#### INSTANCE

    public static final TestDefinitionEditPlugin INSTANCE

Keep track of the singleton.

### Constructor Detail

#### TestDefinitionEditPlugin

    public TestDefinitionEditPlugin()

Create the instance.

### Method Detail

#### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

Returns the singleton instance of the Eclipse plugin.

Specified by:
  `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
Returns:
  the singleton instance.

#### getPlugin

    public static TestDefinitionEditPlugin.Implementation getPlugin()

Returns the singleton instance of the Eclipse plugin.

Returns:
  the singleton instance.